part of 'object_bloc.dart';

abstract class ObjectState extends Equatable {
  const ObjectState();
  
  @override
  List<Object> get props => [];
}

class ObjectInitial extends ObjectState {}

class ObjectLoaded extends ObjectState{
  final List<RBAC> objects;
  const ObjectLoaded({required this.objects});
}

class ObjectLoadingState extends ObjectState{

}

class ObjectErrorState extends ObjectState{
  final String message;
  const ObjectErrorState({required this.message});
}
class ObjectAddedState extends ObjectState {
  final Map<dynamic, dynamic> response;
  const ObjectAddedState({required this.response});
}
class ObjectUpdatedState extends ObjectState {
  final Map<dynamic, dynamic> response;
  const ObjectUpdatedState({required this.response});
}
class ObjectDeletedState extends ObjectState{
  final bool success;
  const ObjectDeletedState({required this.success});
}